with Interfaces.C; use Interfaces.C;

package stddef_h is

   --  unsupported macro: NULL ((void *)0)
   --  unsupported macro: offsetof(TYPE,MEMBER) __builtin_offsetof (TYPE, MEMBER)
   subtype ptrdiff_t is int;  -- /opt/gnat-gpl-2010/bin/../lib/gcc/i686-pc-linux-gnu/4.3.6/include/stddef.h:152:26

   subtype size_t is unsigned;  -- /opt/gnat-gpl-2010/bin/../lib/gcc/i686-pc-linux-gnu/4.3.6/include/stddef.h:214:23

   subtype wchar_t is long;  -- /opt/gnat-gpl-2010/bin/../lib/gcc/i686-pc-linux-gnu/4.3.6/include/stddef.h:326:24

end stddef_h;
